<template>
  <report-table :tableData="tableData"></report-table>
</template>

<script>
  import { post } from '@vue2-client/services/api'
  import ReportTable from '@vue2-client/pages/report/ReportTable'
  export default {
    name: 'ReportTableHome',
    components: { ReportTable },
    data () {
      return {
        tableData: null
      }
    },
    created () {
    },
    mounted () {
      this.getData()
    },
    methods: {
      async getData () {
        this.tableData = await post('/api/af-system/logic/reportTest', {})
        console.log('数据=>', JSON.stringify(this.tableData))
      }
    }
  }
</script>
